<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccBankStatement extends Eloquent {

	protected $table = 'acc_bank_statement';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('bank_account_id', 'user_id');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function bank_account()
	{
		return $this->belongsTo('AccBankAccount', 'bank_account_id');
	}

}