<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccWithholdingTaxReceipt extends Eloquent {

	protected $table = 'acc_withholding_tax_receipt';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('date', 'user_id', 'customer_id', 'description', 'amount');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function customer()
	{
		return $this->belongsTo('AccCustomer', 'customer_id');
	}

}